## igerman98 20161207

=== Makefile ===
# Makefile for the dictionary igerman98
#
# Author: Bjoern Jacke <bjoern@j3e.de>
#
# Copyright: GNU GPLv2 and GPLv3

# we need want out own executables first:
export PATH := .:bin:$(PATH)
LANGS=de_DE de_AT de_CH
LANGS2=$(LANGS) de_all
DATE=`date +%Y%m%d`
VERSION=`cat VERSION`
VERSION_EXTRA=$(shell find . -name "VERSION.*" -print | while read i ; do echo -n "+"; head -1 "$$i" | tr -d "\n" ; done)
# the build string makes the reproducible builds impossible. And builddate isn't really that much needed:
# VERSION_STRING=$(VERSION)$(VERSION_EXTRA) (build $(DATE))
VERSION_STRING=$(VERSION)$(VERSION_EXTRA)

all:
	@echo "A default make target doesn't exist. You might want to use one of those:"
	@echo "  make hunspell/de_DE.dic hunspell/de_DE.aff (or de_AT or de_CH)"
	@echo "  make myspell/de_DE.dic myspell/de_DE.aff (or de_AT or de_CH)"
	@echo "  make ispell/de_DE.aff ispell/de_DE.hash (or de_AT, de_CH ...)"
	@echo "  make aspell/de_DE.rws (or de_AT, de_CH ...)"
	@echo "  make ligature/rmligs"
	@echo "  make isowordlist-de_DE (or de_AT, de_CH ...)"
	@echo "Did I forget an important one ?-)"



#MYLANG = $(shell echo -n $@ | sed "s/^.*_\(de_.*$$\)/\1/")
MYLANG = $(shell echo $@ | sed "s/^.*[_/]\(de_[a-zA-Z]*\).*/\1/")

# FIND_OPTS can be used to exclude directories from being used, like:
# FIND_OPTS = ! -name "*-a-*"

define WORDS_define_template

WORDS_$(1) = $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" ! -name "*compound*" $$(FIND_OPTS) -print)

WORDS_COMP_$(1) = $$(shell $$(FIND) ./dicts/ -name "compound*$(1)*.txt" $$(FIND_OPTS) -print)

## alle ohne "*-x*"
WORDS_CAPMAIN_SMALL_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" ! -name "*-x*" ! -name "*compound*" $$(FIND_OPTS) -print)

## alle "*-xx*"
WORDS_CAPMAIN_PLUS_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" -name "*-xx*" ! -name "*compound*" $$(FIND_OPTS) -print)

## alle "*-x*" ohne "*-xx*"
WORDS_NOCAPMAIN_$(1)	= $$(shell $$(FIND) ./dicts/ -name "*$(1)*.txt" -name "*-x*" ! -name "*-xx*" ! -name "*compound*" $(FIND_OPTS) -print)

WORDS_BLACKLISTS_$(1) = $$(shell $$(FIND) ./dicts/ -name "blacklist*$(1)*" $(FIND_OPTS) -print)

endef
$(foreach langcode,$(LANGS2),$(eval $(call WORDS_define_template,$(langcode))))

ISPELLIBDIR = $$($(ISPELL) -vv |grep "LIBDIR" |$(SED) "s/.*\=//" |tr -d \")
DESTDIR =
# make might have to be GNU make,
# please report problems with other make versions to me.
MAKE = make
FIND = find
SORT = sort
TAR = tar
SED = sed
NL = nl
CP = cp
# some incarnations of "wc -l" print out leading whitespace, let's use sed:
WCL = $(SED) -n '$$='

# the following is to remove temp files during build. Set it
# to rm if disk space is an issue during build time:
RM_OR_NOT = @\#
#RM_OR_NOT = rm

#ZIP = zip
#ZIP_OPTS = -j -r -9 -X
ZIP = 7z
ZIP_OPTS = a -tzip -mx=9
BUILDHASH = buildhash

ISPELL = ispell
HUNSPELL_BIN = hunspell
# Hunspell starting with 1.1.9 (?) uses automatic charset transcoding,
# we need to make sure we use latin1:
HUNSPELL = $(HUNSPELL_BIN) `$(HUNSPELL_BIN) -h 2>&1 | grep -q "hunspell \\-i" && echo "-i latin1"`


SQ = sq
UNSQ = unsq
#   if for some reason you don't have Ispell's unsq use my Perl sq/unsq
#  and put it into a directory known by your PATH variable!
#UNSQ = unsq.pl

ASPELL = aspell

# if you don't have ispell around, you may change this to aspell:
AFFIX_EXPANDER = ispell

ifeq ($(AFFIX_EXPANDER),ispell)
AFFIX_EXPAND_PREREQ = ispell/$(1)_null.hash ispell/$(1)_null.aff
AFFIX_EXPAND_COMMAND = $(ISPELL) -d./ispell/$(1)_null -e
MUNCH_PFX = munch.
else
AFFIX_EXPAND_PREREQ = aspell/$(1).dat aspell/$(1)_affix.dat
AFFIX_EXPAND_COMMAND = ( $(SED) -f ./bin/dic2iso | $(ASPELL) --encoding=iso8859-1 --lang=$(1) --local-data-dir=./aspell expand )
MUNCH_PFX =
endif

vpath %.txt ./dicts  ./hunspell ./myspell
.SUFFIXES: .txt .dic
.PHONY: clean pack unpack sort help dist hunspell-all
SUBDIRS = testdir

# to let `sort' behave right: setting LC_ALL ist not enough, because
# UTF-8 locales won't get overwritten by that, we also need to reset LANG!
# That's strange and might have been a bug which is fixed in the meantime.
# Otherwise locale depending sorting, grepping etc. which is slow as hell
# (like for de_DE) would be used, we don't need that anyway. See
# http://mail.nl.linux.org/linux-utf8/2003-11/msg00041.html

LANG=C
LC_ALL=C
LC_COLLATE=C


#$(addprefix dicts/,$(WORTE)): unpack
#	echo x
#	test -e $@ || (echo Wortliste $@ nicht vorhanden ; exit 1)



###
## Ispell stuff:
###

ispell/de_AT.aff ispell/de_DE.aff: ispell/de_DE.aff.in
	$(CP) ispell/de_DE.aff.in $@

ispell/de_CH.aff: ispell/de_DE.aff.in
	$(SED) "/swiss-del/d" ispell/de_DE.aff.in |$(SED) "/swiss-convert/s/sS/SS/g" |$(SED) '/\#swiss-only/s/^\#//' |$(SED) '/stringchar/!s/sS//g' > $@


define LANG_ispell_dict_template

ispell/$(1).hash: ispell/$(1).aff all.words.munch.$(1).tmp
	$(BUILDHASH) all.words.munch.$(1).tmp ./ispell/$(1).aff $$@

all.words.$(1).tmp: $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt
	$(SED) "s/qq//g;s/\.//;s/\-.*//" dicts/abkuerzpunkt.txt $$(WORDS_$(1)) $$(WORDS_de_all) \
	| (test -e ./bin/conv_dict_$(1) && ./bin/conv_dict_$(1) || cat) \
	| grep -v "\/.*d" | grep -v "##" | $(SED) "s/#.*//" | ./bin/myspellfixprefix.pl | $(SORT) -u > $$@

all.words.munch.$(1).tmp: all.words.$(1).tmp ispell/$(1).aff
	./bin/test-working-grep.sh
	@# the munched way to overcome "Hash table overflowed by xxxx words" error:
	munchlist -l ./ispell/$(1).aff all.words.$(1).tmp > $$@
	@# the unmunched way:
	@#$(CP) all.words.$(1).tmp $$@

ispell/$(1)_null.hash: ispell/$(1)_null.aff
	test -e all.words.placebo.tmp || echo a > all.words.placebo.tmp
	$(BUILDHASH) all.words.placebo.tmp ispell/$(1)_null.aff $$@

isowordlist-$(1): $(AFFIX_EXPAND_PREREQ) all.words.$(MUNCH_PFX)$(1).tmp
	$(AFFIX_EXPAND_COMMAND) < all.words.$(MUNCH_PFX)$(1).tmp |tr ' ' '\n' |$(SED) -f ./bin/dic2iso | $(SORT) -u > $$@

endef
$(foreach langcode,$(LANGS),$(eval $(call LANG_ispell_dict_template,$(langcode))))




###
## old Aspell stuff, new aspell/ stuff support for aspell 0.60 later down...
###
#
#help.hash: german.aff all.words2 .copyright
#	$(BUILDHASH) all.words2 ./german.aff $@
#
#all.words2:
#	cd dicts; sed s/qq//g $(WORTE) | $(SORT) -u > ../$@
#
#aspell: help.hash
#	#cat all.words2 dicts/abkuerzpunkt.txt |$(ISPELL) -e -d./help |sed -f ./bin/dic2iso |sort -u |$(ASPELL) --lang=german create master ./german
#	sed "s/\.//g" all.words2 dicts/abkuerzpunkt.txt |$(ISPELL) -e -d./help |sed -f ./bin/dic2iso | $(SORT) -u |$(ASPELL) --lang=german create master ./german
#
#swiss-aspell: swiss
#	cat all.words.swiss |$(ISPELL) -e -d./swiss |sed -f ./bin/dic2iso | $(SORT) -u |$(ASPELL) --lang=swiss create master ./swiss
#



define LANG_myspell_template

aspell/$(1)_affix.dat: myspell/$(1).aff
	$(CP) myspell/$(1).aff $$@

aspell/$(1).multi: aspell/de_all.multi.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.multi.in > $$@

aspell/$(1).alias: aspell/de_all.alias.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.alias.in > $$@

aspell/$(1).dat: aspell/de_all.dat.in
	$(SED) "s/LANG_REPLACE/$(1)/g" < aspell/de_all.dat.in > $$@

aspell/$(1).rws: myspell/$(1).dic aspell/$(1)_affix.dat aspell/$(1).multi aspell/$(1).dat aspell/$(1).alias
	# the warnings about skipped words should be ignorable...
	$(ASPELL) --lang=$(1) --dict-dir=./aspell/ --local-data-dir=./aspell/ create master $(1).rws < myspell/$(1).dic

myspell/$(1).dic: $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt
	./bin/test-working-grep.sh
	cat $$(WORDS_$(1)) $$(WORDS_de_all) dicts/abkuerzpunkt.txt \
		| (test -e ./bin/conv_dict_$(1) && ./bin/conv_dict_$(1) || cat) \
		| ./bin/myspell-generic-process.sh  > $$@.tmp
	$$(WCL) < $$@.tmp > $$@
	cat myspell/de_all.dic.header | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" >> $$@
	$(SED) -f ./bin/dic2iso < $$@.tmp >> $$@
	$(RM_OR_NOT) $$@.tmp

endef
$(foreach langcode,$(LANGS) liglist,$(eval $(call LANG_myspell_template,$(langcode))))



define LANG_aff_template

myspell/$(1).aff: myspell/de_all.aff.in myspell/de_all.aff.header
	cat myspell/de_all.aff.header myspell/de_all.aff.in | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" > $$@

hunspell/$(1).aff: hunspell/de_all.aff.hunspell_additions myspell/de_all.aff.in hunspell/de_all.aff.header
	cat hunspell/de_all.aff.header myspell/de_all.aff.in hunspell/de_all.aff.hunspell_additions | $(SED) "s/AFF_VERSION_REPLACE/$(VERSION_STRING)/;s/LANG_REPLACE/$(1)/" > $$@

ispell/$(1)_null.aff: ispell/$(1).aff
	$(CP) ispell/$(1).aff $$@

endef
$(foreach langcode,$(LANGS) liglist,$(eval $(call LANG_aff_template,$(langcode))))


define LANGS2_hunspell_dicts_template

HUNSPELL_DICTS_BASE_$(1) = hunspell-capmain-small_$(1).tmp hunspell-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-middle-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp

#HUNSPELL_DICTS_BASE_$(1) = hunspell-capmain-small_$(1).tmp hunspell-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-middle-compdic_$(1).tmp hunspell-end-compdic_$(1).tmp hunspell-capmain-small_de_all.tmp hunspell-compdic_de_all.tmp hunspell-end-compdic_de_all.tmp hunspell-middle-compdic_de_all.tmp hunspell-middle-compdic_de_all.tmp hunspell-end-compdic_de_all.tmp

hunspell-capmain-small_$(1).tmp: $$(WORDS_CAPMAIN_SMALL_$(1))
	# limited dictionary without any *-x* files used to sort out all known words from -xx files
	rm -f $$@.tmp
	echo $$(WORDS_CAPMAIN_SMALL_$(1)) | xargs cat >> $$@.tmp
	./bin/hunspell-capmain $$@.tmp > $$@
	$(RM_OR_NOT) $$@.tmp


hunspell-nocapmain_$(1).tmp: $$(WORDS_NOCAPMAIN_$(1)) $$(WORDS_NOCAPMAIN_de_all)
	# limited dictionary of all -x (but not -xx) files
	rm -f $$@.tmp
	#find dicts/ -name "*x*.txt" ! -name "*-xx*" -print | xargs cat >> $@.tmp
	echo $$(WORDS_NOCAPMAIN_$(1)) $$(WORDS_NOCAPMAIN_de_all) | xargs cat >> $$@.tmp
	###TODO??? ./bin/dic2iso < $$@.tmp > $$@
	mv $$@.tmp $$@

hunspell-middle-compdic_$(1).tmp: dicts/middle-compound.txt
	# more TODO here ?
	$(SED) "s:$$$$:/hkem:;s:/\(.*\)/:/\1:"	< dicts/middle-compound.txt	>  $$@

hunspell-end-compdic_$(1).tmp: dicts/end-compound.txt
	# more TODO here ?
	$(SED) "s:$$$$:/oz:;s:/\(.*\)/:/\1:"		< dicts/end-compound.txt	>  $$@

hunspell-compdic_$(1).tmp: $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all)
	# sed hack to add "/"to lines which don't have one yet:
	# sed "/^[^\/]*$$/s/$$/\//"
	echo DEBUG: WORDS_COMP_$(1) :: $$(WORDS_COMP_$(1)) :::
	echo DEBUG: WORDS_COMP_de_all :: $$(WORDS_COMP_de_all) :::
	echo $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all) | xargs $(SED) "/^[^\/]*$$$$/s/$$$$/\// ; s/$$$$/hij/"	>  $$@
	echo >> $$@
	#	more TODO here ? (added myspellfixprefix...)
	cat $$(WORDS_COMP_$(1)) $$(WORDS_COMP_de_all) \
		| ./bin/myspellfixprefix.pl \
		| ./bin/lcfirst.pl \
		| $(SED) "/^[^\/]*$$$$/s/$$$$/\//;s/$$$$/hke/"			>> $$@
	echo >> $$@

endef
$(foreach langcode,$(LANGS2),$(eval $(call LANGS2_hunspell_dicts_template,$(langcode))))

define LANG_hunspell_template

HUNSPELL_DICTS_ALL_$(1) = $$(HUNSPELL_DICTS_BASE_$(1)) hunspell-capmain-plus_$(1).tmp hunspell-nocapmain_$(1).tmp dicts/abkuerzpunkt.txt hunspell-blacklist_$(1).tmp \
	$$(HUNSPELL_DICTS_BASE_de_all)

hunspell-blacklist_$(1).tmp: $$(WORDS_BLACKLISTS_$(1)) $$(WORDS_BLACKLISTS_de_all)
	# sed hack to merge /f/g to /fg : sed "s:/\(.*\)/:/\1:"
	cat $$(WORDS_BLACKLISTS_$(1)) $$(WORDS_BLACKLISTS_de_all) >$$@

hunspell-capmain-plus_$(1).tmp: $(AFFIX_EXPAND_PREREQ) hunspell/$(1)_small.dic hunspell/$(1)_small.aff $$(WORDS_CAPMAIN_PLUS_$(1)) $$(WORDS_CAPMAIN_PLUS_de_all)
	echo DEBUG: WORDS_CAPMAIN_PLUS_$(1) :: $$(WORDS_CAPMAIN_PLUS_$(1)) :::
	echo DEBUG: WORDS_CAPMAIN_PLUS_de_all :: $$(WORDS_CAPMAIN_PLUS_de_all) :::
	# limited dictionary of *-xx* files containing compounds not generated by capmain-small
	rm -f $$@.unfiltered-list0.tmp
	#find dicts/ -name "*-xx*.txt" -print | xargs cat >> $$@.unfiltered-list.tmp
	echo $$(WORDS_CAPMAIN_PLUS_$(1)) $$(WORDS_CAPMAIN_PLUS_de_all) | xargs cat >> $$@.unfiltered-list0.tmp

=== debian/changelog ===
igerman98 (20161207-4) unstable; urgency=medium

  * Update to Standards-Version 4.1.3 (no changes).
  * Update debhelper from v9 to v11.
  * Add Vcs headers pointing to salsa.debian.org.
  * Add some autpkgtests.
  * 18_aspell: Add special de_(DE|CH|AT) wordlists (missing before).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Feb 2018 19:50:21 +0100

igerman98 (20161207-3) unstable; urgency=medium

  * hunspell-de-* now Breaks and Replaces myspell-de-* (<< 20161207-2~)
    instead of unversioned Conflicts to fix transition (Closes: #880694).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 04 Nov 2017 08:22:44 +0100

igerman98 (20161207-2) unstable; urgency=medium

  * 19_Fahrschule: Add singular "Fahrschule" to dictionary (Closes: #854785).
  * Move all packages (except rmligs-german) to Section: localization.
  * Replace Priority "extra" with "optional".
  * Update to Standards version 4.1.1: change copyright-format to https.
  * Remove myspell-de-(de|at|ch) packages in favor of hunspell-de-*
    (Closes: #767767).
  * Add transitional packages myspell-de-* to hunspell-de-*.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 03 Nov 2017 15:40:40 +0100

igerman98 (20161207-1) unstable; urgency=medium

  * New upstream version 20161207.
  * Adapt all patches to new version (20_subtraktiv is now included
    upstream).
  * Update to Standards-Version 3.9.8 (no changes).
  * Install deutsch.alias and german.alias to aspell-de (Closes: #839628).
  * Remove OpenOffice and mozilla references from package descriptions.
  * Extend package descriptions and mention differences between hunspell
    and myspell dictionaries.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 Dec 2016 12:53:20 +0100

=== debian/control ===
Source: igerman98
Section: localization
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Standards-Version: 4.1.3
Build-Depends-Indep: aspell (>= 0.60.5-2),
                     busybox,
                     dictionaries-common-dev (>= 1.23.4),
                     hunspell,
                     ispell (>= 3.4.00-5~)
Build-Depends: debhelper (>= 11~)
Homepage: https://www.j3e.de/ispell/igerman98/
Vcs-Git: https://salsa.debian.org/debian/igerman98.git
Vcs-Browser: https://salsa.debian.org/debian/igerman98

Package: ingerman
Architecture: all
Provides: ispell-dictionary
Depends: ${ispell:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: wngerman
Description: New German orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-DE-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package iogerman),
 with many corrections and additions.

Package: iswiss
Architecture: all
Provides: ispell-dictionary
Depends: ${ispell:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: wswiss
Description: Swiss (German) orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-CH-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as iogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: wngerman
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, ${perl:Depends}, ${wordlist:Depends}
Description: New German orthography wordlist
 This is a wordlist with the new German orthography (de-DE-1996),
 which is used since 1998-08-01 and which is obligatory as of
 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package wogerman),
 with many corrections and additions.

Package: wswiss
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, ${perl:Depends}, ${wordlist:Depends}
Description: Swiss (German) orthography wordlist
 This is a wordlist with the new German orthography (de-CH-1996), which
 is used since 1998-08-01 and which is obligatory as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as wogerman), with many corrections
 and additions.
 .
 Most notably this variant supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: rmligs-german
Architecture: all
Section: text
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: texlive-latex-base
Description: remove incorrectly used ligatures from LaTeX documents
 rmligs-german is a program for removing incorrectly used ligatures
 from LaTeX documents.  This version is intended for German language
 texts only.

Package: hunspell-de-at
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-at (<< 20161207-2~), openoffice.org-spellcheck-de-at
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-at
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-at (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: Austrian (German) dictionary for hunspell
 This is the German (Austria) dictionary (de-AT-1996) for use with the
 hunspell spellchecker.
 .
 Most notably this variant contains some special Austrian words.

Package: hunspell-de-ch
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-ch (<< 20161207-2~), openoffice.org-spellcheck-de-ch
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-ch
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-ch (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: Swiss (German) dictionary for hunspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the hunspell spellchecker.
 .
 Most notably this variant supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: hunspell-de-de
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-de (<< 20161207-2~), openoffice.org-spellcheck-de-de
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-de
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-de (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        openoffice.org-core (<< 2.1~m190-1),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: German dictionary for hunspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the hunspell spellchecker.
 .
 Most notably this variant contains some special words from Germany.

Package: aspell-de
Architecture: all
Depends: ${aspell:Depends}, ${misc:Depends}
Provides: aspell-dictionary
Description: German dictionary for aspell
 This package contains German dictionaries for the aspell spell checker.
 .
 Dictionaries included are: de_DE (de/deutsch/german), de_CH (swiss), and
 de_AT, all using the new German orthography from 1996 (neue Rechtschreibung).
 .
 The old (1901) spelling is provided by aspell-de-alt.

Package: myspell-de-de
Depends: hunspell-de-de, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-de
 This is a transitional dummy package for migration from myspell-de-de
 to hunspell-de-de.  It can safely be removed.

Package: myspell-de-at
Depends: hunspell-de-at, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-at
 This is a transitional dummy package for migration from myspell-de-at
 to hunspell-de-at.  It can safely be removed.

Package: myspell-de-ch
Depends: hunspell-de-ch, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-ch
 This is a transitional dummy package for migration from myspell-de-ch
 to hunspell-de-ch.  It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2017 Roland Rosenfeld <roland@debian.org>, based on
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DROOT=`pwd`/debian
ADIR=$(DROOT)/aspell-de

%:
	dh $@

override_dh_auto_build:
	ln -s /bin/busybox bin/grep
	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
#	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp

	$(MAKE) hunspell/de_DE.dic hunspell/de_DE.aff
	$(MAKE) hunspell/de_AT.dic hunspell/de_AT.aff
	$(MAKE) hunspell/de_CH.dic hunspell/de_CH.aff

	$(MAKE) ligature/rmligs

	$(MAKE) isowordlist-de_DE
#	$(MAKE) isowordlist-de_AT
	$(MAKE) isowordlist-de_CH

	$(MAKE) aspell/de-common.cwl aspell/de_DE-only.cwl
	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl

override_dh_clean:
	rm -f bin/grep
	dh_clean
	$(MAKE) clean
	rm -f debian/ingerman.config debian/ingerman.templates
	rm -f debian/wngerman.config debian/wngerman.templates
	rm -f debian/iswiss.config debian/iswiss.templates
	rm -f debian/wswiss.config debian/wswiss.templates

override_dh_install-indep:
	dh_install

#	ingerman (binary-indep):
	install -o root -g root -m644 ispell/de_DE.aff \
		$(DROOT)/ingerman/usr/lib/ispell/ngerman.aff
	gzip -9n < all.words.munch.de_DE.tmp \
		> $(DROOT)/ingerman/usr/share/ispell/ngerman.mwl.gz
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s ngerman.aff ndeutsch.aff; \
		ln -s ngerman.hash ndeutsch.hash;)

#	iswiss (binary-indep):
	install -o root -g root -m644 ispell/de_CH.aff \
		$(DROOT)/iswiss/usr/lib/ispell/swiss.aff
	gzip -9n < all.words.munch.de_CH.tmp \
		> $(DROOT)/iswiss/usr/share/ispell/swiss.mwl.gz
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s swiss.aff deutsch-schweiz.aff; \
		ln -s swiss.hash deutsch-schweiz.hash;)

#	wngerman (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_DE \
		> $(DROOT)/wngerman/usr/share/dict/ngerman

#	wswiss (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_CH \
		> $(DROOT)/wswiss/usr/share/dict/swiss

#	rmligs-german (binary-indep):
	install -o root -g root -m755 ligature/rmligs \
		$(DROOT)/rmligs-german/usr/bin/rmligs-german
	sed -e 's/rmligs/rmligs-german/g;s/RMLIGS/RMLIGS-GERMAN/g' \
	    -e 's%README%/usr/share/doc/rmligs-german/README.ligatures%g' \
	    < ligature/rmligs.1 \
	    > $(DROOT)/rmligs-german/usr/share/man/man1/rmligs-german.1

#	hunspell-de-ch (binary-indep)
	install -o root -g root -m644 hunspell/de_CH.aff \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_CH.dic \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)

#	hunspell-de-de (binary-indep)
	install -o root -g root -m644 hunspell/de_DE.aff \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_DE.dic \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.dic de_LU.dic)

#	hunspell-de-at (binary-indep)
	install -o root -g root -m644 hunspell/de_AT.aff \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_AT.dic \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell

#	aspell-de (binary-indep)
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de-neu.multi
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de_DE-neu.multi
	install -o root -g root -m644 aspell/de_CH.multi \
		$(ADIR)/usr/lib/aspell/de_CH-neu.multi
	install -o root -g root -m644 aspell/de_AT.multi \
		$(ADIR)/usr/lib/aspell/de_AT-neu.multi

	install -o root -g root -m644 aspell/de_AT.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_CH.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_DE.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_DE.alias \
		$(ADIR)/usr/lib/aspell/german.alias
	install -o root -g root -m644 aspell/de_DE.alias \
		$(ADIR)/usr/lib/aspell/deutsch.alias

	install -o root -g root -m644 aspell/de.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_phonet.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_affix.dat \
		$(ADIR)/usr/lib/aspell/

	gzip -9cn < aspell/de-common.cwl \
		> $(ADIR)/usr/share/aspell/de-common.cwl.gz
	gzip -9cn < aspell/de_AT-only.cwl \
		> $(ADIR)/usr/share/aspell/de_AT-only.cwl.gz
	gzip -9cn < aspell/de_CH-only.cwl \
		> $(ADIR)/usr/share/aspell/de_CH-only.cwl.gz
	gzip -9cn < aspell/de_DE-only.cwl \
		> $(ADIR)/usr/share/aspell/de_DE-only.cwl.gz

	installdeb-wordlist -pwngerman # Internally calls dh_installdebconf
	installdeb-wordlist -pwswiss   # Internally calls dh_installdebconf
	installdeb-myspell -phunspell-de-de
	installdeb-myspell -phunspell-de-at
	rm -f $(DROOT)/hunspell-de-at/usr/share/hunspell/de-DE.*
	installdeb-myspell -phunspell-de-ch
	installdeb-aspell -paspell-de
	installdeb-ispell -pingerman # Internally calls dh_installdebconf
	installdeb-ispell -piswiss   # Internally calls dh_installdebconf

override_dh_installchangelogs:
	dh_installchangelogs Documentation/Changes

=== debian/tests/control ===
Tests: wngerman-utf8, wngerman-dass
Depends: wngerman

Tests: wswiss-utf8, wswiss-dass, wswiss-strasse
Depends: wswiss

Tests: ispell-ok, ispell-typos
Depends: ingerman, ispell

Tests: iswiss-ok, iswiss-typos
Depends: iswiss, ispell

Tests: aspell-de-de-ok, aspell-de-de-typos, aspell-de-ch-ok,
 aspell-de-ch-typos, aspell-de-at-ok, aspell-de-at-typos
Depends: aspell-de, aspell

Tests: hunspell-de-de-ok, hunspell-de-de-typos
Depends: hunspell-de-de, hunspell

Tests: hunspell-de-ch-ok, hunspell-de-ch-typos
Depends: hunspell-de-ch, hunspell

Tests: hunspell-de-at-ok, hunspell-de-at-typos
Depends: hunspell-de-at, hunspell

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://www.j3e.de/ispell/igerman98/dict/igerman98-[a-z]*([0-9]*)\.tar\.bz2
